Built_Models = {
    "qwen_plus":{
        "supplier": "qwen",
        "newname": "qwen-plus-latest",
        "name": "qwen-plus",
        "type": "text",
        "description": "能力均衡，推理效果、成本和速度介于通义千问-Max和通义千问-Turbo之间，适合中等复杂任务。",
        "price_in": 0.002,
        "price_out": 0.0008,
        "max_tokens_in": 129024,
        "max_tokens_out": 8192,
        "max_thought": 0,
        "max_context": 131072,
        "enable_search": True,
        "response_format": True,
        "tools": True,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": False,
        "modalities": ["text"],
        "temperature": 0.95,
        "top_p": 0.7,
        "presence_penalty": 0.6,
        "n": 1,
        "seed": 1234
    },
    "deepseek-chat":{
        "supplier": "deepseek",
        "newname": "deepseek-chat",
        "name": "deepseek-chat",
        "type": "text",
        "description": "能力均衡，推理效果、成本和速度介于通义千问-Max和通义千问-Turbo之间，适合中等复杂任务。",
        "price_in": 0.002,
        "price_out": 0.0008,
        "max_tokens_in": 65536,
        "max_tokens_out": 8192,
        "max_thought": 0,
        "max_context": 65536,
        "enable_search": False,
        "response_format": False,
        "tools": True,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": False,
        "modalities": ["text"],
        "temperature": 1,
        "top_p": 1,
        "presence_penalty": 0,
        "n": 1,
        "seed": 1234,
        "stream":False
    },
    "deepseek-reasoner":{
        "supplier": "deepseek",
        "newname": "deepseek-reasoner",
        "name": "deepseek-reasoner",
        "type": "text",
        "description": "能力均衡，推理效果、成本和速度介于通义千问-Max和通义千问-Turbo之间，适合中等复杂任务。",
        "price_in": 0.004,
        "price_out": 0.016,
        "max_tokens_in": 65536,
        "max_tokens_out": 8192,
        "max_thought": 32768,
        "max_context": 65536,
        "enable_search": False,
        "response_format": False,
        "tools": False,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": True,
        "modalities": ["text"],
        "temperature": 1.3,
        "top_p": 1,
        "presence_penalty": 0,
        "n": 1,
        "seed": 1234,
        "stream":True  
    },
    "qwq-plus":{
        "supplier": "qwen",
        "newname": "qwq-plus-latest",
        "name": "qwq-plus",
        "type": "text",
        "description": "能力均衡，推理效果、成本和速度介于通义千问-Max和通义千问-Turbo之间，适合中等复杂任务。",
        "price_in": 0.0016,
        "price_out": 0.004,
        "max_tokens_in": 98304,
        "max_tokens_out": 8192,
        "max_thought": 32768,
        "max_context": 131072,
        "enable_search": True,
        "response_format": False,
        "tools": True,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": True,
        "modalities": ["text"],
        "temperature": 1,
        "top_p": 1,
        "presence_penalty": 0,
        "n": 1,
        "seed": 1234,
        "stream":True
    },
    "glm-4-plus":{
        "supplier": "zhipu",
        "newname": "glm-4-plus",
        "name": "glm-4-plus",
        "type": "text",
        "description": "高智能旗舰: 性能全面提升，长文本和复杂任务能力显著增强",
        "price_in": 0.05,
        "price_out": 0.05,
        "max_tokens_in": 131072,
        "max_tokens_out": 8192,
        "max_thought": 32768,
        "max_context": 131072,
        "enable_search": True,
        "response_format": False,
        "tools": True,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": False,
        "modalities": ["text"],
        "temperature": 1,
        "top_p": 1,
        "presence_penalty": 0,
        "n": 1,
        "seed": 1234,
        "stream":False 
    },
    "glm-4-air":{
        "supplier": "zhipu",
        "newname": "glm-4-air",
        "name": "glm-4-air",
        "type": "text",
        "description": "高智能旗舰: 性能全面提升，长文本和复杂任务能力显著增强",
        "price_in": 0.05,
        "price_out": 0.05,
        "max_tokens_in": 131072,
        "max_tokens_out": 8192,
        "max_thought": 32768,
        "max_context": 131072,
        "enable_search": True,
        "response_format": False,
        "tools": True,
        "text_input": True,
        "text_output": True,
        "audio_input": False,
        "audio_output": False,
        "image_input": False,
        "image_output": False,
        "video_input": False,
        "video_output": False,
        "thought_chain": False,
        "modalities": ["text"],
        "temperature": 1,
        "top_p": 1,
        "presence_penalty": 0,
        "n": 1,
        "seed": 1234,
        "stream":False 
    }
}